<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";      
        
$log=check($log); 

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){
	
echo'<img src="../images/img/partners.gif" alt=""> <b>Исправительная</b><br><br>';	
	
//------------------------- Главная страница ---------------------------------//	
	
	
if(!isset($action)){

echo 'Если вы не злостный нарушитель, но по какой-то причине получили строгое нарушения и хотите от него избавиться<br>';
echo 'Тогда вы попали по адресу. Здесь самое лучшее место, чтобы встать на путь исправления<br><br>';
echo 'Снять нарушение можно раз в месяц при условии, что с вашего последнего бана вы не нарушали правил и были добросовестным участником сайта<br>';
echo 'Также вы должны будете выплатить банку штраф в размере '.moneys(100000).'<br>';
echo 'Если с момента вашего последнего бана прошло менее месяца или у вас нет на руках суммы для штрафа, тогда строгое нарушение снять не удастся<br><br>';
echo 'Общее число строгих нарушений: <b>'.(int)$udata[64].'</b><br>';

if(ctype_digit($udata[52]) && $udata[64]>0){
$lost_time=round((($sitetime - $udata[52]) / 3600) / 24);
echo 'Дней прошедших с момента последнего нарушения: <b>'.$lost_time.'</b><br>';
}else {echo 'Дата последнего нарушения не указана<br>';}

echo 'Денег на руках: <b>'.$udata[41].'</b><br><br>';

if($udata[64]>0 && $lost_time>29 && $udata[41]>=100000){
echo 'У вас есть возможность снять нарушение<br>';
echo '<img src="../images/img/open.gif" alt=""> <b><a href="razban.php?action=go&amp;'.SID.'">Снять нарушение</a></b>';
}else{
echo 'У вас нет возможности снять нарушение. Возможно у вас нет нарушений, не прошло еще 30 дней или недостатачная сумма на счете<br>';
}}


//------------------------- Снатие нарушения ---------------------------------//
if($action=="go"){

$lost_time=round((($sitetime - $udata[52]) / 3600) / 24);
if($udata[64]>0 && $lost_time>29 && $udata[41]>=100000){


//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[52]=$sitetime;
$udata[64]--;
$udata[41]=$udata[41]-100000;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
echo 'Нарушение успешно списано, с вашего счета снято <b>'.moneys(100000).'</b><br>';
echo 'Следующее нарушение вы сможете снять не ранее чем через 1 месяц<br>';	

echo 'Число строгих нарушений: <b>'.(int)$udata[64].'</b><br>';
echo 'Остаток на счете: <b>'.moneys($udata[41]).'</b><br>';

}else{echo 'У вас нет возможности снять нарушение. Возможно у вас нет нарушений, не прошло еще 30 дней или недостатачная сумма на счете<br>';}
}

} else{ 
echo '<br>Вы не авторизованы, чтобы снять нарушение, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}



echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>